DEF VAR sp-companycode   AS CHAR NO-UNDO.
DEF VAR cOldLocationcode AS CHAR NO-UNDO.
DEF VAR cNewLocationcode AS CHAR NO-UNDO.
DEF VAR lUpdate          AS LOG  NO-UNDO.
DEF VAR iCount           AS INT  NO-UNDO.
DEF VAR cTable           AS CHAR NO-UNDO FORMAT "x(32)".

sp-companycode   = "ROW".
cOldLocationcode = "BEHES".
cNewLocationcode = "NEWDEP".
lUpdate          = FALSE.

FORM "Table"   AT 1
     "Records" AT 35
 WITH FRAME a DOWN NO-LABELS.

{ec/conversion/ec-update-location.i &TABLE = ec-container           &FIELD = act_locationcode   }
{ec/conversion/ec-update-location.i &TABLE = ec-container_history   &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-total_info          &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-trace               &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-contract_grade      &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-contract_red        &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-demurrage           &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-pickup              &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-dropoff             &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-release             &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-outofsystem         &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-stock-level         &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-storage             &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-handling            &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-edi-sender          &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-edi-sender-codes    &FIELD = edi_locationcode   }
{ec/conversion/ec-update-location.i &TABLE = ec-repair-container    &FIELD = locationcode       }
{ec/conversion/ec-update-location.i &TABLE = ec-repair-shop         &FIELD = locationcode       }

iCount = 0.
cTable = "ec-reject".
DEF BUFFER b-ec-reject FOR ec-reject.
DISABLE TRIGGERS FOR LOAD OF b-ec-reject ALLOW-REPLICATION.
FOR EACH ec-reject NO-LOCK WHERE
         ec-reject.companycode = sp-companycode:
  IF  ec-reject.old_locationcode = cOldLocationcode
   OR ec-reject.new_locationcode = cOldLocationcode
  THEN DO TRANSACTION:
    iCount = iCount + 1.
    DISPLAY cTable AT 1 iCount AT 33 SKIP WITH FRAME a.
    IF lUpdate
    THEN DO:
      FIND b-ec-reject EXCLUSIVE WHERE ROWID(b-ec-reject) = rowid(ec-reject).
      IF ec-reject.old_locationcode = cOldLocationcode THEN b-ec-reject.OLD_locationcode = cNewLocationcode.
      IF ec-reject.new_locationcode = cOldLocationcode THEN b-ec-reject.new_locationcode = cNewLocationcode.
    END.
  END.
END.

iCount = 0.
cTable = "ec-handling_exclude".
DEF BUFFER b-ec-handling_exclude FOR ec-handling_exclude.
DISABLE TRIGGERS FOR LOAD OF b-ec-handling_exclude ALLOW-REPLICATION.
FOR EACH ec-handling_exclude NO-LOCK WHERE
         ec-handling_exclude.companycode = sp-companycode:
  IF  ec-handling_exclude.location_from = cOldLocationcode
   OR ec-handling_exclude.location_to   = cOldLocationcode
  THEN DO TRANSACTION:
    iCount = iCount + 1.
    DISPLAY cTable AT 1 iCount AT 33 SKIP WITH FRAME a.
    IF lUpdate
    THEN DO:
      FIND b-ec-handling_exclude EXCLUSIVE WHERE ROWID(b-ec-handling_exclude) = rowid(ec-handling_exclude).
      IF ec-handling_exclude.location_from = cOldLocationcode THEN b-ec-handling_exclude.location_from = cNewLocationcode.
      IF ec-handling_exclude.location_to   = cOldLocationcode THEN b-ec-handling_exclude.location_to   = cNewLocationcode.
    END.
  END.
END.

iCount = 0.
cTable = "ec-handling_trucking".
DEF BUFFER b-ec-handling_trucking FOR ec-handling_trucking.
DISABLE TRIGGERS FOR LOAD OF b-ec-handling_trucking ALLOW-REPLICATION.
FOR EACH ec-handling_trucking NO-LOCK WHERE
         ec-handling_trucking.companycode = sp-companycode:
  IF  ec-handling_trucking.location_from = cOldLocationcode
   OR ec-handling_trucking.location_to   = cOldLocationcode
  THEN DO TRANSACTION:
    iCount = iCount + 1.
    DISPLAY cTable iCount.
    IF lUpdate
    THEN DO:
      FIND b-ec-handling_trucking EXCLUSIVE WHERE ROWID(b-ec-handling_trucking) = rowid(ec-handling_trucking).
      IF ec-handling_trucking.location_from = cOldLocationcode THEN b-ec-handling_trucking.location_from = cNewLocationcode.
      IF ec-handling_trucking.location_to   = cOldLocationcode THEN b-ec-handling_trucking.location_to   = cNewLocationcode.
    END.
  END.
END.


